/*
 * Copyright 2000 by Jean-Claude Christophe <jch@oleane.net>
 *                                          <jch@bsdfr.org>
 *
 * Home page:  http://www.bsdfr.org/projects/tac_bsd/
 *
 * tac_bsd.h  This file defines some variables used by the code
 */

#ifndef _TAC_BSD_H_
#define _TAC_BSD_H_

#include <sys/types.h>

#define CONF_FILE "/etc/tac_bsd.conf"
#define NOLOGIN_FILE "/etc/nologin"
#define MOTD_FILE "/etc/motd"
#define HUSHLOGIN ".hushlogin"

#define TRUE 1
#define FALSE 0

#define MAX_SRV 4               /* No more than 4 servers. */
#define DEFAULT_PORT 49         /* Default port of TACACS. You can change it in conf. file*/

typedef unsigned char uchar;

extern int seq_no;              /* sequence of each packet */
extern int session_id;          /* identifier for _ONE_ session */

extern char *username, *password, *port; /* information about user */
extern uid_t uid_default;
extern gid_t gid_default;

extern char *term;              /* information of our current terminal */
extern char *hostname;          /* the hostname which the user come from */

extern int  server_timeout;     /* connect timeout to the TACACS server */
extern char *serv;

extern char *tac_err;           /* this pointer will contains the current error string */

struct s_server {
    char name[128];
    char addr[128];
    char key[128];
};

extern int  file_exist(char *);  /* check if file or directory exit */
extern void authen_failed(void); /* inc try and display message */

#endif /* _TAC_BSD_H_ */
